Drupal 6.37 site with PHP 5.6 compatibility problem

  • Posted:
  • Proposals: 8
  • Remote
  • #1011656
  • Expired
Mohamed A.Luis G.Amaneet B.Bhavin J.Nguyen T. + 3 others have already sent a proposal.
  • 0

Description

Experience Level: Expert
General information for the website: We are a community non profit in Surrey / South London area with a Drupal 6 website at www.surreybellringers.org.uk
Kind of development: Customization of existing website
Description of requirements/features: Current site is Drupal 6.37 and php 5.2 connecting to a MySQL database. Our host (JustHost) requires us to move to php 5.6 but this breaks the site, kills database connectivity entirely. We have reverted to php 5.2 but need to resolve the issue soon as the php upgrade will be forced on us eventually.

In the first instance we need advise on the technical options available to us to ensure the site will work with php 5.6 and the likely cost of implementing the changes to achieve this. Once agreed we would want a developer to carry out the work for us.

An extract from the php log when this upgrade was first tried is below:

[18-Nov-2015 19:00:56 America/Denver] PHP Warning: PHP Startup: imagick: Unable to initialize module Module compiled with module API=20131226 PHP compiled with module API=20100525 These options need to match in Unknown on line 0 [18-Nov-2015 19:00:56 America/Denver] PHP Warning: PHP Startup: Unable to load dynamic library '/usr/php/56/usr/lib64/php/modules/pdo_mysql.so' - /usr/php/56/usr/lib64/php/modules/pdo_mysql.so: undefined symbol: mysqlnd_allocator in Unknown on line 0 [18-Nov-2015 19:00:56 America/Denver] PHP Warning: PHP Startup: pdo_sqlite: Unable to initialize module Module compiled with module API=20131226 PHP compiled with module API=20100525 These options need to match in Unknown on line 0 [18-Nov-2015 19:00:56 America/Denver] PHP Warning: PHP Startup: Unable to load dynamic library '/usr/php/56/usr/lib64/php/modules/pdo_pgsql.so' - /usr/php/56/usr/lib64/php/modules/pdo_pgsql.so: undefined symbol: pdo_handle_error in Unknown on line 0
Specific technologies required: Drupal 6 and php 5.6
Extra notes:

New Proposal

Create an account now and send a proposal now to get this project.

Sign up

Clarification Board Ask a Question

    There are no clarification messages.